#
# spec file for package python-testresources
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-testresources
Version:        2.0.1
Release:        5.1
Summary:        A pyunit extension for managing expensive test resources
License:        (Apache-2.0 OR BSD-3-Clause) AND GPL-2.0-or-later
Group:          Development/Languages/Python
URL:            https://github.com/testing-cabal/testresources
Source:         https://files.pythonhosted.org/packages/source/t/testresources/testresources-%{version}.tar.gz
Patch0:         testresources-flaky-tests.patch
BuildRequires:  %{python_module fixtures}
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module testtools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pbr
BuildArch:      noarch
%python_subpackages

%description
testresources: extensions to python unittest to allow declarative use
of resources by test cases.

%prep
%setup -q -n testresources-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license BSD Apache-2.0 COPYING
%doc README.rst
%{python_sitelib}/testresources
%{python_sitelib}/testresources-%{version}-py%{python_version}.egg-info

%changelog
* Wed Aug  8 2018 jengelh@inai.de
- Trim repeated name from summary (rpmlint).
* Tue Aug  7 2018 tchvatal@suse.com
- Add patch testresources-flaky-tests.patch to disable flaky test
- Drop PR-8.patch as it is obsolete by the above patch
* Tue Aug  7 2018 tchvatal@suse.com
- Cleanup with spec-cleaner
- Simplify the tests execution
- Install license files
* Thu Sep 21 2017 tbechtold@suse.com
- Add PR-8.patch . This skips a flaky test during python3 test runs
* Sun Apr  9 2017 aloisio@gmx.com
- Converted to single-spec
- Fixed source URL
* Mon Nov 14 2016 dmueller@suse.com
- update to 2.0.1:
  * Fix #1590536 classifiers not reported in PyPI
  * Drop support for Python 2.4, 2.5, 3.2
  * Bug #1524048: depend on pbr at runtime
  * Handle unittest2 test suites as well
  * Use pbr for versions as well
  * More diagnostics on sort failures
  * Cleanup old helper we don't need anymore
  * Add a tox.ini for convenience
  * Add a Travis config
  * Ignore more files
  * Build and ship wheels
  * Migrate to pbr
* Thu Jun 12 2014 cdenicolo@suse.com
- license update: (Apache-2.0 or BSD-3-Clause) and GPL-2.0+
  missing BSD-license
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Apr  3 2013 speilicke@suse.com
- Fix license according to what sr#159597 intended
* Fri Mar 15 2013 speilicke@suse.com
- Initial version
